commit: 3546ec39bc85599410c916a147b1dd17e10c94da
Author: Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 17 16:46:47 2020 +0000
Commit: Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Thu Dec 17 16:46:52 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3546ec39
net-wireless/gnuradio: bug #727332
drop a few unneeded files quietly
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
net-wireless/gnuradio/gnuradio-3.8.2.0.ebuild | 18 +++++++++---------
1 file changed, 9 insertions(+), 9 deletions(-)
diff --git a/net-wireless/gnuradio/gnuradio-3.8.2.0.ebuild
b/net-wireless/gnuradio/gnuradio-3.8.2.0.ebuild
index 81a61888d72..1bfc7942a34 100644
--- a/net-wireless/gnuradio/gnuradio-3.8.2.0.ebuild
+++ b/net-wireless/gnuradio/gnuradio-3.8.2.0.ebuild
@@ -5,7 +5,7 @@ EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
CMAKE_BUILD_TYPE="None"
-inherit cmake python-single-r1 virtualx xdg-utils desktop
+inherit cmake python-single-r1 virtualx xdg-utils
DESCRIPTION="Toolkit that provides signal processing blocks to implement
software radios"
HOMEPAGE="https://www.gnuradio.org/"
@@ -192,18 +192,18 @@ src_install() {
rm -f "${ED}"/usr/libexec/${PN}/grc_setup_freedesktop || die
# Install icons, menu items and mime-types for GRC
- if use grc ; then
- local fd_path="${S}/grc/scripts/freedesktop"
- insinto /usr/share/mime/packages
- doins "${fd_path}/${PN}-grc.xml"
+ #if use grc ; then
+ # local fd_path="${S}/grc/scripts/freedesktop"
+ # insinto /usr/share/mime/packages
+ # doins "${fd_path}/${PN}-grc.xml"
- domenu "${fd_path}/"*.desktop
- doicon "${fd_path}/"*.png
- fi
+ # domenu "${fd_path}/"*.desktop
+ # doicon "${fd_path}/"*.png
+ #fi
python_fix_shebang "${ED}"
# Remove incorrectly byte-compiled Python files and replace
- find "${ED}"/usr/lib -name "*.py[co]" -exec rm {} \; || die
+ find "${ED}"/usr/lib* -name "*.py[co]" -exec rm {} \; || die
python_optimize
}